summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-sound/gnormalize/ChangeLog4
-rw-r--r--media-sound/gnormalize/Manifest16
-rw-r--r--media-sound/gnormalize/files/digest-gnormalize-0.513
-rw-r--r--media-sound/gnormalize/gnormalize-0.51.ebuild62
4 files changed, 81 insertions, 4 deletions
diff --git a/media-sound/gnormalize/ChangeLog b/media-sound/gnormalize/ChangeLog
index d695a5ddb..8452ecf1b 100644
--- a/media-sound/gnormalize/ChangeLog
+++ b/media-sound/gnormalize/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 28 Sep 2006; Alex Tarkovsky <alextarkovsky@gmail.org>
+ +gnormalize-0.51.ebuild:
+ Bumping to 0.51, no changes from previous ebuild
+
05 Sep 2006; Alex Tarkovsky <alextarkovsky@gmail.org>
+gnormalize-0.50.ebuild, +metadata.xml:
New ebuild for bug 92284. Thanks to Tom <gimpel@sonnenkinder.org>, Sebastien
diff --git a/media-sound/gnormalize/Manifest b/media-sound/gnormalize/Manifest
index e4b6d7b7c..64e1cc3f5 100644
--- a/media-sound/gnormalize/Manifest
+++ b/media-sound/gnormalize/Manifest
@@ -1,12 +1,17 @@
DIST gnormalize-0.50.tar.gz 687999 RMD160 8ee8947d0b2a4b3dbd814926ae385cb16bff7be0 SHA1 abf392d5f563e89f4850aade10290203ba3d160e SHA256 89244dee031666de8d4f72d6bd5ded888f3552e91f87b8ff6a96c05efbbfac51
+DIST gnormalize-0.51.tar.gz 690212 RMD160 800559eabffa97721202691a2afc06be8348def1 SHA1 3da2e097a20abe7d888660b5d4bd9848f0e86798 SHA256 add2a7656a6812d472fee26049af952439dda75567399bdf5dd12204f81f84bd
EBUILD gnormalize-0.50.ebuild 1507 RMD160 64be89f737e8e44054897215488c9ab29f68148c SHA1 37ecfe021c8cf0b80f46e41f21af2fdf46874244 SHA256 664ee7c54e925e344a6bf67689a8f139c3e0826e6f4db0b932fc3eeff77cd8d4
MD5 5d7b82cb4f85daebd1746b02e7ea3e25 gnormalize-0.50.ebuild 1507
RMD160 64be89f737e8e44054897215488c9ab29f68148c gnormalize-0.50.ebuild 1507
SHA256 664ee7c54e925e344a6bf67689a8f139c3e0826e6f4db0b932fc3eeff77cd8d4 gnormalize-0.50.ebuild 1507
-MISC ChangeLog 372 RMD160 eaf3d185e6228642c411fcb4a50834f78021e9da SHA1 c69b08febf65470e82a53d46c26d59d553b67313 SHA256 8fbe8ce511679999ffac95c8f91efdf62db9d4e403ed8af0b232b9f741e42b2f
-MD5 2cdb3c0363f81960a8cc639a9d15561c ChangeLog 372
-RMD160 eaf3d185e6228642c411fcb4a50834f78021e9da ChangeLog 372
-SHA256 8fbe8ce511679999ffac95c8f91efdf62db9d4e403ed8af0b232b9f741e42b2f ChangeLog 372
+EBUILD gnormalize-0.51.ebuild 1507 RMD160 64be89f737e8e44054897215488c9ab29f68148c SHA1 37ecfe021c8cf0b80f46e41f21af2fdf46874244 SHA256 664ee7c54e925e344a6bf67689a8f139c3e0826e6f4db0b932fc3eeff77cd8d4
+MD5 5d7b82cb4f85daebd1746b02e7ea3e25 gnormalize-0.51.ebuild 1507
+RMD160 64be89f737e8e44054897215488c9ab29f68148c gnormalize-0.51.ebuild 1507
+SHA256 664ee7c54e925e344a6bf67689a8f139c3e0826e6f4db0b932fc3eeff77cd8d4 gnormalize-0.51.ebuild 1507
+MISC ChangeLog 507 RMD160 a1905b60e7806f05e96939fde466c5223e825f23 SHA1 4919b3e2f40bc7c5d579bb43a8d80f55f4494191 SHA256 b5f61b5127f2311a0a03a457890798925f0f325033eb263df1940f5071c67698
+MD5 b5a6f94307ed3a3c246d3f4ce3262bd7 ChangeLog 507
+RMD160 a1905b60e7806f05e96939fde466c5223e825f23 ChangeLog 507
+SHA256 b5f61b5127f2311a0a03a457890798925f0f325033eb263df1940f5071c67698 ChangeLog 507
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
@@ -14,3 +19,6 @@ SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42 metadata
MD5 d18a42e8f96f567cbd922a03410e5a02 files/digest-gnormalize-0.50 247
RMD160 e4166971b7c28308fb8eadc64cb6f667c6ce4a3e files/digest-gnormalize-0.50 247
SHA256 fe9f2e4bd8c4ca5ab88863da0e2a956b6d6f43ef716cf47f63048c20a02ac5ad files/digest-gnormalize-0.50 247
+MD5 bb273956fa2b383142bd61c19bcfaefd files/digest-gnormalize-0.51 247
+RMD160 a91f4760d9495a170103270cc522f592d125b425 files/digest-gnormalize-0.51 247
+SHA256 bd866f42f93a73afad6238cf274a08bbb5606eaa49a5d0ed7011e8a72eb6c728 files/digest-gnormalize-0.51 247
diff --git a/media-sound/gnormalize/files/digest-gnormalize-0.51 b/media-sound/gnormalize/files/digest-gnormalize-0.51
new file mode 100644
index 000000000..0ab734a03
--- /dev/null
+++ b/media-sound/gnormalize/files/digest-gnormalize-0.51
@@ -0,0 +1,3 @@
+MD5 965f64ba6b5d39520a620946de8495cc gnormalize-0.51.tar.gz 690212
+RMD160 800559eabffa97721202691a2afc06be8348def1 gnormalize-0.51.tar.gz 690212
+SHA256 add2a7656a6812d472fee26049af952439dda75567399bdf5dd12204f81f84bd gnormalize-0.51.tar.gz 690212
diff --git a/media-sound/gnormalize/gnormalize-0.51.ebuild b/media-sound/gnormalize/gnormalize-0.51.ebuild
new file mode 100644
index 000000000..54a0e5fd7
--- /dev/null
+++ b/media-sound/gnormalize/gnormalize-0.51.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="Audio converter/ripper featuring normalization and metadata editing"
+HOMEPAGE="http://gnormalize.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="aac cddb flac mp3 musepack normalize vorbis"
+
+RDEPEND=">=x11-libs/gtk+-2.4.0
+ >=dev-perl/gtk2-perl-1.040
+ aac? ( media-libs/faac
+ media-libs/faad2 )
+ cddb? ( dev-perl/CDDB_get
+ media-sound/cdcd
+ || ( media-sound/cdparanoia
+ virtual/cdrtools ) )
+ flac? ( media-libs/flac
+ !vorbis? ( media-sound/flac123 ) )
+ mp3? ( media-sound/lame
+ dev-perl/MP3-Info
+ || ( media-sound/madplay
+ media-sound/mpg321
+ media-sound/mpg123 ) )
+ musepack? ( media-sound/musepack-tools )
+ normalize? ( media-sound/normalize )
+ vorbis? ( media-sound/vorbis-tools )"
+DEPEND="${RDEPEND}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ unpack ./${PN}.1.bz2
+}
+
+src_install() {
+ dobin ${PN}
+
+ insinto /usr/share/${PN}
+ doins -r animations
+
+ doicon icons/${PN}.png
+ make_desktop_entry ${PN}
+
+ doman ${PN}.1
+ dodoc README
+}
+
+pkg_postinst() {
+ einfo "This package supports MAC (Monkey's Audio Codec) but due to licensing"
+ einfo "issues MAC cannot be included in Portage at this time. If you need MAC"
+ einfo "functionality, build and install the packages 'mac' and 'xmms-mac' from:"
+ einfo
+ einfo " http://sourceforge.net/project/showfiles.php?group_id=123827"
+ einfo
+}